package com.bankaudit.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_grading_qsn_dtls")
public class MaintGradingQsnDtls implements Serializable {
 	 	
 	private static final long serialVersionUID = -1003648667438290057L;

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
	  
	@Id
	@Column(name="display_sequence")
	private Integer displaySequence;
	
	@Column(name="display_sequence_ref")
	private String displaySequenceRef;
 
	@Column(name="display_sequence_id")
	private String displaySequenceId;
	
	@Column(name="display_content_type")
	private String displayContentType;
	
	@Column(name="display_content")
	private String displayContent;
	
	@Column(name="display_value_type")
	private String displayValueType;
	
	@Column(name="display_value_ref_id")
	private String displayValueRefId;
	
	@Column(name="checkbox")
	private String checkbox;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public Integer getDisplaySequence() {
		return displaySequence;
	}

	public void setDisplaySequence(Integer displaySequence) {
		this.displaySequence = displaySequence;
	}

	public String getDisplaySequenceRef() {
		return displaySequenceRef;
	}

	public void setDisplaySequenceRef(String displaySequenceRef) {
		this.displaySequenceRef = displaySequenceRef;
	}

	public String getDisplaySequenceId() {
		return displaySequenceId;
	}

	public void setDisplaySequenceId(String displaySequenceId) {
		this.displaySequenceId = displaySequenceId;
	}

	public String getDisplayContentType() {
		return displayContentType;
	}

	public void setDisplayContentType(String displayContentType) {
		this.displayContentType = displayContentType;
	}

	public String getDisplayContent() {
		return displayContent;
	}

	public void setDisplayContent(String displayContent) {
		this.displayContent = displayContent;
	}

	public String getDisplayValueType() {
		return displayValueType;
	}

	public void setDisplayValueType(String displayValueType) {
		this.displayValueType = displayValueType;
	}

	public String getDisplayValueRefId() {
		return displayValueRefId;
	}

	public void setDisplayValueRefId(String displayValueRefId) {
		this.displayValueRefId = displayValueRefId;
	}

	public String getCheckbox() {
		return checkbox;
	}

	public void setCheckbox(String checkbox) {
		this.checkbox = checkbox;
	}

	
}
